package com.fjhx.mail.controller.personal;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.personal.vo.PersonalMailboxVo;
import com.fjhx.mail.entity.personal.dto.PersonalMailboxSelectDto;
import com.fjhx.mail.entity.personal.dto.PersonalMailboxDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.mail.service.personal.PersonalMailboxService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 个人邮箱 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
@RestController
@RequestMapping("/personalMailbox")
public class PersonalMailboxController {

    @Autowired
    private PersonalMailboxService personalMailboxService;

    /**
     * 个人邮箱分页
     */
    @PostMapping("/page")
    public Page<PersonalMailboxVo> page(@RequestBody PersonalMailboxSelectDto dto) {
        return personalMailboxService.getPage(dto);
    }

    /**
     * 个人邮箱明细
     */
    @PostMapping("/detail")
    public PersonalMailboxVo detail(@RequestBody BaseSelectDto dto) {
        return personalMailboxService.detail(dto.getId());
    }

    /**
     * 个人邮箱新增
     */
    @PostMapping("/add")
    public void add(@RequestBody PersonalMailboxDto personalMailboxDto) {
        personalMailboxService.add(personalMailboxDto);
    }

    /**
     * 个人邮箱编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody PersonalMailboxDto personalMailboxDto) {
        personalMailboxService.edit(personalMailboxDto);
    }

    /**
     * 个人邮箱删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        personalMailboxService.delete(dto.getId());
    }

}
